SET NAMES latin1;
SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `Administrator` (
  `contactid` int(10) NOT NULL,
  `username` varchar(50) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `AdministratorRole` varchar(255) DEFAULT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`contactid`),
  KEY `FK_Administrator_Contact` (`contactid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

insert into `Administrator` values('1','sdrucker','password','Administrator',null,null,null,null),
 ('5','administrator','password','Administrator',null,'2005-10-16 15:48:55','2005-10-16 15:48:55',null);

CREATE TABLE `Article` (
  `ArticleID` int(10) NOT NULL AUTO_INCREMENT,
  `Title` varchar(255) DEFAULT NULL,
  `Teaser` varchar(255) DEFAULT NULL,
  `Fulltext` longtext,
  `TeaserImage` varchar(100) DEFAULT NULL,
  `publishdate` datetime DEFAULT NULL,
  `expdate` datetime DEFAULT NULL,
  `Updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`ArticleID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

insert into `Article` values('3','Welcome to Cafe Townsend','Home Page Blurb ','<p>Caf Townsends visionary chef and founder leads the way in a culinary revolution. Proclaimed by many to be the best chef in the world today, Chef Ipsum blends earthy seasonal flavors and bold ingredients to create exquisite contemporary cuisine.</p>\r\n<p>The name Caf Townsend comes from our first restaurant, located in a historic building on Townsend Street in San Francisco, where we opened the doors in 1992. Weve replicated the elegant interior, exceptional service, and world class cuisine in our restaurants around the country.</p>','','2005-10-08 16:40:00',null,'sdrucker','2005-10-08 16:46:21','2005-10-08 16:43:38',null),
 ('4','Chef Ipsum releases a new DVD','About Chef Ipsum\'s DVD','<!--StartFragment -->In his fourth DVD, the cooking legend Chef Ipsum shows you how to be a world-class chef! This specially staged performance showcases some of Chef Ispsum&rsquo;s favorite recipes, and provides solid instruction to give you the confidence you need to bring out your inner chef! You&rsquo;ll receive the same training that Chef Ipsum provides for chefs in his famous Caf&eacute; Townsend restaurants. Don&rsquo;t miss out as Chef Ispum whips up ten of his award-winning recipes before a sell-out crowd! The DVD includes a revealing 15-minute bonus interview where Chef Ipsum talks about his humble beginnings and his culinary roots. This DVD has something for everyone!','','2005-10-09 09:27:00',null,'sdrucker','2005-10-09 09:28:21','2005-10-09 09:28:21',null),
 ('5','Our Invitation to you','We want to share the elegant private dining room at the Caf Townsend flagship restaurant with you! Set in a unique, historic building in San Francisco, our private dining room is available to host your corporate events, parties, weddings, and more. ','<p>Set in a unique, historic building in San Francisco, our private dining room is available to host your corporate events, parties, weddings, and more.</p>\r\n<p>Our special events manager, sommelier, and executive chef will work with you to make sure your special event is truly special. We offer multiple menu options, or we can customize a menu for you.&nbsp; In keeping with the award-winning cuisine and exceptional service you expect, we provide place cards, personally printed menus, and candles. We are also happy to help you arrange other services.</p>\r\n<p>Our unique setting, highly personalized service, and memorable dining are the perfect combination for your special event! Please contact us for more information! </p>','','2005-10-09 09:35:00',null,'sdrucker','2005-10-12 17:06:24','2005-10-09 09:37:40',null),
 ('6','Take a closer look','We can accommodate 60 seated guests for dinner or up to 100 guests for a standing reception.','<img src=\"/mmcourses/acfd700/solution/application/images/seating_chart.jpg\" align=\"left\" alt=\"\"/>Our private dining room provides a warm, intimate setting for your event. We can accommodate 60 seated guests for dinner or up to 100 guests for a standing reception.','','2005-10-09 09:39:00',null,'sdrucker','2005-10-09 09:44:24','2005-10-09 09:44:24',null),
 ('7','Cafe Townsend News','News of the day ','<p>Welcome to Cafe Townsend!<br/>\r\n<br/>\r\nI, Chef Ipsum, have just returned from Barcelona Spain where I have uncovered a number of secret recipes, once thought lost to the annals of history.</p>\r\n<p>While visiting an architectural dig, I discovered an ancient recipe using pork bellies.&nbsp;<br/>\r\n<br/>\r\nThe text of the recipe was obfuscated by an obscure ancient dialect, but I was able to use my classical training to decipher the magic ingredients!</p>','','2005-10-09 17:13:00',null,'sdrucker','2005-10-09 18:38:43','2005-10-09 17:15:24',null);

CREATE TABLE `ArticleCategory` (
  `ArticleID` int(10) NOT NULL,
  `CategoryID` int(10) NOT NULL,
  PRIMARY KEY (`ArticleID`,`CategoryID`),
  KEY `CategoryArticleCategory` (`CategoryID`),
  KEY `FK_ArticleCategory_Article` (`ArticleID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

insert into `ArticleCategory` values('3','1'),
 ('3','2'),
 ('3','3'),
 ('4','1'),
 ('5','1'),
 ('6','1'),
 ('7','2');

CREATE TABLE `ArticlePage` (
  `articleid` int(10) NOT NULL,
  `pageid` int(10) NOT NULL,
  `sortorder` int(10) DEFAULT NULL,
  `displayhandlerid` int(10) DEFAULT NULL,
  PRIMARY KEY (`articleid`,`pageid`),
  KEY `DisplayHandlerArticlePage` (`displayhandlerid`),
  KEY `FK_ArticlePage_Article` (`articleid`),
  KEY `PageArticlePage` (`pageid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

insert into `ArticlePage` values('3','2','1','2'),
 ('4','3','1','2'),
 ('5','4','1','2'),
 ('6','4','2','2'),
 ('7','5','1','2');

CREATE TABLE `Category` (
  `CategoryID` int(10) NOT NULL AUTO_INCREMENT,
  `CategoryName` varchar(50) DEFAULT NULL,
  `Updateuser` varchar(50) DEFAULT NULL,
  `UpdateDate` datetime DEFAULT NULL,
  `Begintime` datetime DEFAULT NULL,
  `Endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`CategoryID`),
  KEY `_WA_Sys_Begintime_36B12243` (`Begintime`),
  KEY `_WA_Sys_CategoryName_36B12243` (`CategoryName`),
  KEY `_WA_Sys_Endtime_36B12243` (`Endtime`),
  KEY `_WA_Sys_UpdateDate_36B12243` (`UpdateDate`),
  KEY `_WA_Sys_Updateuser_36B12243` (`Updateuser`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

insert into `Category` values('1','General','sdrucker','2005-10-08 13:52:06','2005-10-08 13:52:06',null),
 ('2','News','sdrucker','2005-10-08 13:52:06','2005-10-08 13:52:06',null),
 ('3','Health','sdrucker','2005-10-08 13:52:40','2005-10-08 13:52:40',null),
 ('4','Diet','sdrucker','2005-10-08 13:52:53','2005-10-08 13:52:53',null),
 ('6','Appetizers','sdrucker','2007-08-29 12:07:59','2007-08-29 12:07:59',null),
 ('7','Entrees','sdrucker','2007-08-29 12:08:01','2007-08-29 12:08:01',null),
 ('8','Desserts','sdrucker','2007-08-29 12:08:06','2007-08-29 12:08:06',null);

CREATE TABLE `Contact` (
  `contactid` int(10) NOT NULL AUTO_INCREMENT,
  `Lastname` varchar(50) DEFAULT NULL,
  `Firstname` varchar(50) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `address1` varchar(50) DEFAULT NULL,
  `address2` varchar(50) DEFAULT NULL,
  `city` varchar(50) DEFAULT NULL,
  `state` varchar(2) DEFAULT NULL,
  `zipcode` varchar(10) DEFAULT NULL,
  `homephone` varchar(30) DEFAULT NULL,
  `cellphone` varchar(30) DEFAULT NULL,
  `bizphone` varchar(30) DEFAULT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`contactid`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

insert into `Contact` values('1','Drucker','Steve','sdrucker@figleaf.com','1400 16th Street NW',null,'Washington','DC','20036',null,null,null,'sdrucker',null,null,null),
 ('2','Gallerizzo','Dave','dgallerizzo@figleaf.com','1616 P St. NW',null,'Washington','DC','20036',null,null,null,'sdrucker','2005-10-08 13:55:11','2005-10-08 13:55:19',null),
 ('3','Watts','Dave','dwatts@figleaf.com','8484 Georgia Ave',null,'Silver Spring','MD','20374',null,null,null,'sdrucker','2005-10-08 13:55:19','2005-10-08 13:55:57',null),
 ('4','Hove','Sue','shove@macromedia.com','275 Grove Street',null,'Newton','MA','75632',null,null,null,'sdrucker','2005-10-08 13:55:57','2005-10-08 13:56:22',null),
 ('5','Administrator',null,'aa@macromedia.com','275 Grove Street',null,'Newton','MA',null,null,null,null,null,'2005-10-16 15:48:24','2005-10-16 15:48:24',null);

CREATE TABLE `Directory` (
  `directoryid` int(10) NOT NULL AUTO_INCREMENT,
  `directoryname` varchar(50) DEFAULT NULL,
  `parentdirectoryid` int(10) DEFAULT NULL,
  `lSecurityGroups` varchar(50) DEFAULT NULL,
  `url` varchar(100) DEFAULT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`directoryid`),
  KEY `_WA_Sys_begintime_5070F446` (`begintime`),
  KEY `_WA_Sys_directoryname_5070F446` (`directoryname`),
  KEY `_WA_Sys_endtime_5070F446` (`endtime`),
  KEY `_WA_Sys_parentdirectoryid_5070F` (`parentdirectoryid`),
  KEY `_WA_Sys_updatedate_5070F446` (`updatedate`),
  KEY `_WA_Sys_updateuser_5070F446` (`updateuser`),
  KEY `_WA_Sys_url_5070F446` (`url`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

insert into `Directory` values('1','/',null,null,'/','sdrucker','2005-10-08 13:57:59','2005-10-08 13:57:59',null),
 ('2','Menu','1',null,'/menu/','sdrucker','2005-10-08 13:58:03','2005-10-08 13:58:03',null),
 ('3','News','1',null,'/news/','sdrucker','2005-10-08 13:58:12','2005-10-08 13:58:12',null),
 ('4','About','1',null,'/about/','sdrucker','2005-10-09 09:25:54','2005-10-09 09:25:54',null);

CREATE TABLE `Dish` (
  `DishID` int(10) NOT NULL AUTO_INCREMENT,
  `DishTypeID` int(10) DEFAULT NULL,
  `DishName` varchar(50) DEFAULT NULL,
  `DishDescription` longtext,
  `Updateuser` varchar(50) DEFAULT NULL,
  `UpdateDate` datetime DEFAULT NULL,
  `Begintime` datetime DEFAULT NULL,
  `Endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`DishID`),
  KEY `_WA_Sys_Begintime_25869641` (`Begintime`),
  KEY `_WA_Sys_DishName_25869641` (`DishName`),
  KEY `_WA_Sys_DishTypeID_25869641` (`DishTypeID`),
  KEY `_WA_Sys_Endtime_25869641` (`Endtime`),
  KEY `_WA_Sys_UpdateDate_25869641` (`UpdateDate`),
  KEY `_WA_Sys_Updateuser_25869641` (`Updateuser`),
  KEY `FK_Dish_DishType1` (`DishTypeID`)
) ENGINE=InnoDB AUTO_INCREMENT=39 DEFAULT CHARSET=latin1;

insert into `Dish` values('2','1','Roasted Tomato Soup','Served with goat cheese croutons and basil puree',null,'2005-10-08 15:57:25','2005-10-08 15:57:25',null),
 ('3','1','Summer Salad','Gorgonzola, tossed with raspberry vinaigrette',null,'2005-10-08 15:58:19','2005-10-08 15:58:19',null),
 ('4','1','Fondue of Brie, Goat Cheese, and Gruyere','Served with green apples and garlic crostini. Good for sharing',null,'2005-10-08 15:58:51','2005-10-08 15:58:51',null),
 ('5','1','Crispy Flatbread','Topped with asiago, prosciutto, and rocket',null,'2005-10-08 15:59:02','2005-10-08 15:59:02',null),
 ('6','1','Yellow-fin Ahi Tatar','Served on a bed of shredded cabbage',null,'2005-10-08 16:00:30','2005-10-08 16:00:30',null),
 ('7','2','Pancetta-wrapped Sea Scallops','Drizzled with tarragon puree. Served with baked cauliflower au gratin in a tangy Gruyere sauce',null,'2005-10-08 16:00:57','2005-10-08 16:00:57',null),
 ('8','2','Cajun Seafood Bouillabaisse','With crawfish, scallops, catfish, crab, and mussels. Served with Southern-style cornbread and honey butter.',null,'2005-10-08 16:01:17','2005-10-08 16:01:17',null),
 ('9','2','Cavatappi Pasta with Spicy Chickpea Sauce','Tossed with grilled eggplant, green olives, and sun dried tomatoes. Topped with Mediterranean feta.',null,'2005-10-08 16:01:49','2005-10-08 16:01:49',null),
 ('10','2','Sage-rubbed Double-cut Pork Chop','Topped with a ragout of mushrooms and chunky pancetta. Served with griddle corn cakes.',null,'2005-10-08 16:02:11','2005-10-08 16:02:11',null),
 ('11','2','Lasagna Bolognese','house-made pasta between layers of slow-cooked pork  and beef Bolognese sauce. Served with organic asparagus.',null,'2005-10-08 16:02:41','2005-10-08 16:02:41',null),
 ('12','2','Sake-soaked Kobe Beef Tartar','Served with fontina-stuffed squash blossom tempura with cream wasabi sauce.',null,'2005-10-08 16:03:05','2005-10-08 16:03:05',null),
 ('13','4','Chocolate Mousse Granita','Served in a martini glass with a spiced-orange meringue cookie.',null,'2005-10-08 16:03:19','2005-10-08 16:03:19',null),
 ('14','4','Baked Pears with Caramel Sauce','Topped with house-made vanilla-bean ice cream.',null,'2005-10-08 16:03:32','2005-10-08 16:03:32',null),
 ('15','4','Pumpkin Creme Brulee','Served with our famous ginger snap cookies.',null,'2005-10-08 16:03:54','2005-10-08 16:03:54',null),
 ('16','4','New York Cheesecake','Creamy traditional cheesecake topped with dark chocolate sauce and fresh-picked strawberries.',null,'2005-10-08 16:04:24','2005-10-08 16:04:24',null),
 ('17','4','Sacher Torte','Three layers of dark chocolate cake, filled with house-made apricot jam, covered in a creamy, rich chocolate glaze.',null,'2005-10-08 16:04:44','2005-10-08 16:04:44',null),
 ('18','2','Eggs','Two eggs, any style',null,'2005-11-21 19:09:48','2005-11-21 19:09:48',null),
 ('19','2','Steak and Eggs','Two large eggs any style with a 22oz aged New York strip steak, served with home fries, your choice of toast and finished with our delicious sauce!',null,'2005-11-21 19:10:09','2005-11-21 19:10:09',null),
 ('20','2','Bagel with Smoked Salmon','Smothered with delicious cream cheese',null,'2005-11-21 19:11:25','2005-11-21 19:11:25',null),
 ('21','1','Fruit Cup','Fresh medley of seasonal fruits and berries served with a side of granola and yogurt.',null,'2005-11-21 19:12:05','2005-11-21 19:12:05',null),
 ('22','1','Freshly Squeezed Orange Juice','The best that nature has to offer!',null,'2005-11-21 19:12:45','2005-11-21 19:12:45',null),
 ('23','1','Flight of Chilled Soup','3 soups to warm your heart!',null,'2005-11-21 19:13:00','2005-11-21 19:13:00',null),
 ('24','1','Popcorn Shrimp & Calamari','Cayenne Remoulade',null,'2005-11-22 05:50:11','2005-11-22 05:50:11',null),
 ('25','2','Grilled Chicken Club','Sourdough Toast with Avocade',null,'2005-11-22 05:50:47','2005-11-22 05:50:47',null),
 ('26','2','The Burger','Brioche Bun and your choice of Mushrooms, Bacon, Cheddar, Gruere, Blue',null,'2005-11-22 05:51:30','2005-11-22 05:51:30',null),
 ('27','2','Grilled Rockfish Fillet','Lemon-Chive Risotto Cake, Balsamic Glaze',null,'2005-11-22 05:52:11','2005-11-22 05:52:11',null),
 ('28','4','Pecan Pie','Master Chef Steve\'s favorite recipe',null,'2005-11-22 05:52:44','2005-11-22 05:52:44',null),
 ('29','4','Bread Pudding','Not for the carb counters!',null,'2005-11-22 05:53:59','2005-11-22 05:53:59',null),
 ('30','2','Grilled Cheese','Edward\'s country ham with aged cheddar, balsamic onions and spinach with strawberries',null,'2007-08-24 10:22:25','2007-08-24 10:22:25',null),
 ('31','2','Chicken Fried Pork Belly \"BLT\"','with crispy greens, red tomatoes and 25 year old balsamic',null,'2007-08-24 10:23:20','2007-08-24 10:23:20',null),
 ('32','2','Cast Iron Frittata','housemade pan bread',null,'2007-08-24 10:23:52','2007-08-24 10:23:52',null),
 ('33','2','Free Bird Fried Chicken','with pea tendrils, fresh beans and Virginia summer thistle honey butter',null,'2007-08-24 10:24:17','2007-08-24 10:24:17',null),
 ('34','4','Nilla-Wafer Cheesecake','fresh strawberries, Old Dominion Oak Barrel Stout sauce',null,'2007-08-24 10:24:42','2007-08-24 10:24:42',null),
 ('35','4','Guinness Cupcake','Cream Cheese Icing',null,'2007-08-24 10:25:18','2007-08-24 10:25:18',null),
 ('36','1','Chicken Liver Terrine \"Club\"','with bacon crisps, walnut raisin toast and apricots',null,'2007-08-24 10:25:30','2007-08-24 10:25:30',null),
 ('37','1','Goat Cheese & Duck Trap Smoked Salmon Terrine','with pickled ramps & crispy leeks',null,'2007-08-24 10:26:07','2007-08-24 10:26:07',null),
 ('38','1','Summer Melon & Virginia Country Ham','with rocket & Banyuls- melon dressing',null,'2007-08-24 10:26:35','2007-08-24 10:26:35',null);

CREATE TABLE `DishType` (
  `DishTypeId` int(10) NOT NULL AUTO_INCREMENT,
  `DishTypeName` varchar(50) DEFAULT NULL,
  `Updateuser` varchar(50) DEFAULT NULL,
  `UpdateDate` datetime DEFAULT NULL,
  `Begintime` datetime DEFAULT NULL,
  `Endtime` datetime DEFAULT NULL,
  `DishTypeSortOrder` int(10) DEFAULT NULL,
  PRIMARY KEY (`DishTypeId`),
  KEY `_WA_Sys_Begintime_2A4B4B5E` (`Begintime`),
  KEY `_WA_Sys_DishTypeName_2A4B4B5E` (`DishTypeName`),
  KEY `_WA_Sys_DishTypeSortOrder_2A4B4` (`DishTypeSortOrder`),
  KEY `_WA_Sys_Endtime_2A4B4B5E` (`Endtime`),
  KEY `_WA_Sys_UpdateDate_2A4B4B5E` (`UpdateDate`),
  KEY `_WA_Sys_Updateuser_2A4B4B5E` (`Updateuser`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

insert into `DishType` values('1','Appetizer',null,null,null,null,'1'),
 ('2','Entree',null,null,null,null,'2'),
 ('3','Side Order',null,null,null,null,'3'),
 ('4','Dessert',null,null,null,null,'4');

CREATE TABLE `DisplayHandler` (
  `Displayhandlerid` int(10) NOT NULL AUTO_INCREMENT,
  `DisplayHandlerName` varchar(50) DEFAULT NULL,
  `DisplayHandlerDescription` varchar(255) DEFAULT NULL,
  `DisplayHandlerFilename` varchar(50) DEFAULT NULL,
  `bIsDefault` tinyint(1) NOT NULL,
  `Updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`Displayhandlerid`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

insert into `DisplayHandler` values('1','Display Article Teaser','Display Article Teaser Text','article_displayteaser.xsl','0',null,'2005-10-08 15:45:39','2005-10-08 15:45:39',null),
 ('2','Display Article Full Text','Display Full Text of Article','article_displayfull.xsl','-1',null,'2005-10-08 15:45:45','2005-10-08 15:45:45',null);

CREATE TABLE `ImageGallery` (
  `imageID` int(10) NOT NULL AUTO_INCREMENT,
  `ImageName` varchar(50) DEFAULT NULL,
  `ImageDescription` varchar(255) DEFAULT NULL,
  `ImageData` longtext,
  `ImageWidth` int(10) DEFAULT NULL,
  `ImageHeight` int(10) DEFAULT NULL,
  `ImageSize` int(10) DEFAULT NULL,
  `UpdateUser` varchar(50) DEFAULT NULL,
  `Updatedate` datetime DEFAULT NULL,
  `Begintime` datetime DEFAULT NULL,
  `Endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`imageID`),
  KEY `imageID` (`imageID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `MenuDish` (
  `DishID` int(10) NOT NULL,
  `DishTypeID` int(10) NOT NULL,
  `MenuTypeID` int(10) NOT NULL,
  `MenuDate` datetime NOT NULL,
  `Price` double(15,5) DEFAULT NULL,
  `SpecialPrice` double(15,5) DEFAULT NULL,
  `bSpecial` tinyint(1) NOT NULL,
  `Updateuser` varchar(50) DEFAULT NULL,
  `UpdateDate` datetime DEFAULT NULL,
  `Begintime` datetime DEFAULT NULL,
  `Endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`DishID`,`DishTypeID`,`MenuTypeID`,`MenuDate`),
  KEY `_WA_Sys_Begintime_30F848ED` (`Begintime`),
  KEY `_WA_Sys_bSpecial_30F848ED` (`bSpecial`),
  KEY `_WA_Sys_DishTypeID_30F848ED` (`DishTypeID`),
  KEY `_WA_Sys_Endtime_30F848ED` (`Endtime`),
  KEY `_WA_Sys_MenuDate_30F848ED` (`MenuDate`),
  KEY `_WA_Sys_MenuTypeID_30F848ED` (`MenuTypeID`),
  KEY `_WA_Sys_Price_30F848ED` (`Price`),
  KEY `_WA_Sys_SpecialPrice_30F848ED` (`SpecialPrice`),
  KEY `_WA_Sys_UpdateDate_30F848ED` (`UpdateDate`),
  KEY `_WA_Sys_Updateuser_30F848ED` (`Updateuser`),
  KEY `DishMenuDish` (`DishID`),
  KEY `FK_MenuDish_MenuType` (`MenuTypeID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

insert into `MenuDish` values('2','1','3','2009-02-07 00:00:00','10.00000','9.00000','-1',null,'2005-10-08 16:16:40','2005-10-08 16:16:40',null),
 ('3','1','3','2009-02-07 00:00:00','23.00000','20.00000','0',null,'2005-10-08 16:16:46','2005-10-08 16:16:46',null),
 ('7','1','3','2009-02-07 00:00:00','10.00000','8.00000','-1',null,'2005-10-08 16:17:06','2005-10-08 16:17:06',null),
 ('8','2','3','2009-02-07 00:00:00','12.00000','10.00000','0',null,'2005-10-09 21:27:26','2005-10-09 21:27:26',null),
 ('9','2','3','2009-02-07 00:00:00','15.00000','13.00000','-1',null,'2005-10-09 21:27:35','2005-10-09 21:27:35',null),
 ('10','2','3','2009-02-07 00:00:00','17.00000','16.00000','0',null,'2005-10-09 21:28:12','2005-10-09 21:28:12',null),
 ('13','4','3','2009-02-07 00:00:00','7.00000','4.00000','-1',null,'2005-10-08 16:17:23','2005-10-08 16:17:23',null),
 ('14','4','3','2009-02-07 00:00:00','8.00000','5.00000','0',null,'2005-10-08 16:18:16','2005-10-08 16:18:16',null),
 ('18','2','1','2009-02-07 00:00:00','7.00000','5.00000','0',null,'2005-11-21 19:14:54','2005-11-21 19:14:54',null),
 ('19','2','1','2009-02-07 00:00:00','20.00000','18.00000','0',null,'2005-11-21 19:15:18','2005-11-21 19:15:18',null),
 ('20','2','1','2009-02-07 00:00:00','14.00000','13.00000','-1',null,'2005-11-21 19:15:53','2005-11-21 19:15:53',null),
 ('21','1','1','2009-02-07 00:00:00','3.00000','3.00000','-1',null,'2005-11-21 19:17:16','2005-11-21 19:17:16',null),
 ('22','1','1','2009-02-07 00:00:00','3.00000','3.00000','0',null,'2005-11-21 19:17:35','2005-11-21 19:17:35',null),
 ('23','1','2','2009-02-07 00:00:00','4.00000','3.00000','-1',null,'2005-11-22 05:56:48','2005-11-22 05:56:53',null),
 ('24','1','2','2009-02-07 00:00:00','5.00000','5.00000','0',null,'2005-11-22 05:56:53','2005-11-22 05:57:10',null),
 ('25','2','2','2009-02-07 00:00:00','10.00000','9.00000','-1',null,'2005-11-22 05:57:10','2005-11-22 05:57:28',null),
 ('26','2','2','2009-02-07 00:00:00','8.00000','8.00000','0',null,'2005-11-22 05:57:28','2005-11-22 05:57:59',null),
 ('27','2','2','2009-02-07 00:00:00','15.00000','15.00000','0',null,'2005-11-22 05:57:59','2005-11-22 05:58:16',null),
 ('28','4','2','2009-02-07 00:00:00','8.00000','7.00000','-1',null,'2005-11-22 05:58:16','2005-11-22 05:58:38',null),
 ('29','4','2','2009-02-07 00:00:00','6.00000','6.00000','0',null,'2005-11-22 05:58:38','2005-11-22 05:58:56',null),
 ('30','2','3','2009-02-08 00:00:00','10.00000','10.00000','0',null,'2007-08-24 10:29:30','2007-08-24 10:29:30',null),
 ('31','2','3','2009-02-08 00:00:00','12.00000','12.00000','0',null,'2007-08-24 10:29:51','2007-08-24 10:29:51',null),
 ('36','1','3','2009-02-08 00:00:00','7.00000','9.00000','0',null,'2007-08-24 10:30:40','2007-08-24 10:30:40',null),
 ('37','1','3','2009-02-08 00:00:00','8.00000','10.00000','0',null,'2007-08-24 10:30:56','2007-08-24 10:30:56',null),
 ('38','1','3','2009-02-08 00:00:00','6.00000','12.00000','0',null,'2007-08-24 10:31:51','2007-08-24 10:31:51',null);

CREATE TABLE `MenuType` (
  `menutypeid` int(10) NOT NULL AUTO_INCREMENT,
  `MenuType` varchar(50) DEFAULT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  `menutypesortorder` int(10) DEFAULT NULL,
  PRIMARY KEY (`menutypeid`),
  KEY `_WA_Sys_begintime_2E1BDC42` (`begintime`),
  KEY `_WA_Sys_endtime_2E1BDC42` (`endtime`),
  KEY `_WA_Sys_MenuType_2E1BDC42` (`MenuType`),
  KEY `_WA_Sys_menutypesortorder_2E1BD` (`menutypesortorder`),
  KEY `_WA_Sys_updatedate_2E1BDC42` (`updatedate`),
  KEY `_WA_Sys_updateuser_2E1BDC42` (`updateuser`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

insert into `MenuType` values('1','Breakfast','sdrucker','2005-10-08 15:48:38','2005-10-08 15:48:38',null,'1'),
 ('2','Lunch','sdrucker','2005-10-08 15:48:40','2005-10-08 15:48:40',null,'2'),
 ('3','Dinner','sdrucker','2005-10-08 15:48:50','2005-10-08 15:48:50',null,'3');

CREATE TABLE `Page` (
  `pageid` int(10) NOT NULL AUTO_INCREMENT,
  `templateid` int(10) DEFAULT NULL,
  `pagetitle` varchar(50) DEFAULT NULL,
  `filename` varchar(50) DEFAULT NULL,
  `directoryid` int(10) DEFAULT NULL,
  `description` varchar(50) DEFAULT NULL,
  `keywords` varchar(50) DEFAULT NULL,
  `releasedate` datetime DEFAULT NULL,
  `bIncludeInSiteMap` tinyint(1) NOT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`pageid`),
  KEY `directoryid` (`directoryid`),
  KEY `keywords` (`keywords`),
  KEY `pageid` (`pageid`),
  KEY `templateid` (`templateid`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

insert into `Page` values('2','1','Welcome to Cafe Townsend','index','1','','','2005-10-08 13:34:00','0','sdrucker','2005-10-08 16:34:57','2005-10-08 16:34:57',null),
 ('3','1','About Chef Ipsum','chefipsum','4','','','2005-10-09 09:26:00','-1','sdrucker','2005-10-09 09:27:12','2005-10-09 09:27:12',null),
 ('4','1','Cafe Townsend Special Events','specialevents','4','','','2005-10-09 09:32:00','-1','sdrucker','2005-10-09 09:33:21','2005-10-09 09:33:21',null),
 ('5','2','Cafe Townsend News','index','3','','','2005-10-09 13:06:00','-1','sdrucker','2005-10-09 16:07:30','2005-10-09 16:07:30',null),
 ('6','3','Cafe Townsend Menu','menu','4','','','2005-10-09 13:56:00','0','sdrucker','2005-10-09 18:57:13','2005-10-09 18:57:13',null);

CREATE TABLE `Reservation` (
  `contactid` int(10) NOT NULL,
  `reservationdatetime` datetime NOT NULL,
  `numberinparty` int(10) DEFAULT NULL,
  `barrived` tinyint(1) NOT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`contactid`,`reservationdatetime`),
  KEY `_WA_Sys_barrived_3D5E1FD2` (`barrived`),
  KEY `_WA_Sys_begintime_3D5E1FD2` (`begintime`),
  KEY `_WA_Sys_endtime_3D5E1FD2` (`endtime`),
  KEY `_WA_Sys_numberinparty_3D5E1FD2` (`numberinparty`),
  KEY `_WA_Sys_reservationdatetime_3D5` (`reservationdatetime`),
  KEY `_WA_Sys_updatedate_3D5E1FD2` (`updatedate`),
  KEY `_WA_Sys_updateuser_3D5E1FD2` (`updateuser`),
  KEY `FK_reservation_Contact` (`contactid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

insert into `Reservation` values('1','2005-08-14 19:30:00','4','0',null,'2008-11-20 13:08:25','2008-11-20 13:08:25',null),
 ('2','2005-08-14 20:30:00','2','0',null,'2005-10-08 15:50:59','2005-10-08 15:50:59',null),
 ('3','2005-08-14 21:30:00','3','0',null,'2005-11-18 08:17:56','2005-11-18 08:17:56',null);

CREATE TABLE `ReservationOrder` (
  `contactid` int(10) NOT NULL,
  `reservationdatetime` datetime NOT NULL,
  `dishid` int(10) NOT NULL,
  `price` double(15,5) DEFAULT NULL,
  `quantity` int(10) NOT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`contactid`,`reservationdatetime`,`dishid`,`quantity`),
  KEY `FK_ReservationOrder_Dish` (`dishid`),
  KEY `FK_ReservationOrder_reservation` (`contactid`,`reservationdatetime`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `Suggestion` (
  `SuggestionID` int(10) NOT NULL AUTO_INCREMENT,
  `LastName` varchar(100) DEFAULT NULL,
  `FirstName` varchar(100) DEFAULT NULL,
  `Email` varchar(100) DEFAULT NULL,
  `Suggestion` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`SuggestionID`),
  KEY `SuggestionID` (`SuggestionID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;

insert into `Suggestion` values('2','Balokaney','Orlando','ob@mail.com','ad');

CREATE TABLE `Template` (
  `templateid` int(10) NOT NULL AUTO_INCREMENT,
  `templatename` varchar(50) DEFAULT NULL,
  `templatedescription` varchar(50) DEFAULT NULL,
  `templatepath` varchar(255) DEFAULT NULL,
  `templateurl` varchar(255) DEFAULT NULL,
  `templatethumbnail` varchar(50) DEFAULT NULL,
  `updateuser` varchar(50) DEFAULT NULL,
  `updatedate` datetime DEFAULT NULL,
  `begintime` datetime DEFAULT NULL,
  `endtime` datetime DEFAULT NULL,
  PRIMARY KEY (`templateid`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

insert into `Template` values('1','Basic','Basic Page','basic.cfm',null,'basic.jpg','sdrucker','2005-10-08 15:50:00','2005-10-08 15:50:00',null),
 ('2','Two Column','Dynamic newsfeed in right column','newsinrightcolumn.cfm',null,'news.jpg','sdrucker','2005-10-09 16:00:34','2005-10-09 16:00:34',null),
 ('3','Restaurant Menu','Displays a Restaurant Menu','restaurantmenu.cfm',null,'restaurantmenu.jpg','sdrucker','2005-10-09 18:53:23','2005-10-09 18:53:23',null);

CREATE TABLE `dtproperties` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `objectid` int(10) DEFAULT NULL,
  `property` varchar(64) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `uvalue` varchar(255) DEFAULT NULL,
  `lvalue` longblob,
  `version` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`,`property`),
  KEY `_WA_Sys_objectid_75D7831F` (`objectid`),
  KEY `_WA_Sys_property_75D7831F` (`property`),
  KEY `_WA_Sys_uvalue_75D7831F` (`uvalue`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `state` (
  `stateabbrev` varchar(2) NOT NULL,
  `statename` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`stateabbrev`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

insert into `state` values('md','Maryland'),
 ('mi','Michigan'),
 ('mo','Missouri'),
 ('va','virginia');

SET FOREIGN_KEY_CHECKS = 1;
